cURL
curl --request POST \
--url https://aigw.portkey.ai/v1/fine_tuning/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"training_file": "<string>",
"suffix": "<string>",
"method": {},
"validation_file": "<string>"
}
'import requests
url = "https://aigw.portkey.ai/v1/fine_tuning/jobs"
payload = {
"model": "<string>",
"training_file": "<string>",
"suffix": "<string>",
"method": {},
"validation_file": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
training_file: '<string>',
suffix: '<string>',
method: {},
validation_file: '<string>'
})
};
fetch('https://aigw.portkey.ai/v1/fine_tuning/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": 123,
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>"
},
"fine_tuned_model": "<string>",
"finished_at": 123,
"hyperparameters": {
"n_epochs": "auto"
},
"model": "<string>",
"object": "fine_tuning.job",
"organization_id": "<string>",
"result_files": [
"<string>"
],
"status": "validating_files",
"trained_tokens": 123,
"training_file": "<string>",
"validation_file": "<string>",
"seed": 123,
"integrations": [
{
"type": "wandb",
"wandb": {
"project": "<string>",
"name": "<string>",
"entity": "<string>",
"tags": [
"<string>"
]
}
}
],
"estimated_finish": 123
}Create fine tuning job
POST
/
fine_tuning
/
jobs
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
fine_tuning.job Available options:
validating_files, queued, running, succeeded, failed, cancelled Maximum array length:
5Show child attributes
Show child attributes
Last modified on September 17, 2026
Was this page helpful?

